#include "mainwindow.h"

#include <QNetworkConfigurationManager>
#include <QNetworkConfiguration>
#include <QTextEdit>
#include <QtGlobal>
#include <QDebug>
#include <QList>



MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    textEdit = new QTextEdit(this);

    // First, a naive approach:
    // /*
    QNetworkConfigurationManager ncm;
#ifdef Q_OS_IOS
    const auto configurations = ncm.allConfigurations(QNetworkConfiguration::Active);
    const bool online = configurations.size() != 1 || configurations.constFirst().name() != QString("utun0");
#else
    const bool online = ncm.isOnline();
#endif
    // */
    // Second, not so naive approach (comment out the first part and uncomment this line below).
    //const bool online = status() != utility::NotReachable;

    textEdit->setText(QString("Online: ").append(QString::number(online)));

    setCentralWidget(textEdit);
}

MainWindow::~MainWindow()
{
}

void MainWindow::statusChanged(utility::NetworkStatus newStatus)
{
    if (newStatus == utility::NotReachable)
        textEdit->setText(QString("Online: 0"));
    else
        textEdit->setText(QString("Online: 1"));
}
